| The Gaudi Framework v32r1 (f65d50dc)

Public Types | Public Member Functions | List of all members
ITupleTool Class Referenceabstract

`#include <GaudiTools/ITupleTool.h>`

Inheritance diagram for ITupleTool:
[legend]
Collaboration diagram for ITupleTool:
[legend]

## Public Types
typedef Tuples::TupleID | TupleID
typedef Tuples::Tuple | Tuple
Public Types inherited from IInterface
enum | Status : StatusCode::code_t { Status::FAILURE = 0, Status::SUCCESS = 1, Status::NO_INTERFACE, Status::VERSMISMATCH, Status::LAST_ERROR }
| Return status. More...
using | iid = Gaudi::InterfaceId< IInterface, 0, 0 >
| Interface ID. More...
using | ext_iids = Gaudi::interface_list< iid >
| Extra interfaces. More...

## Public Member Functions
| DeclareInterfaceID (ITupleTool, 2, 0)
| InterfaceID. More...
virtual Tuple | nTuple (const std::string &title, const CLID &clid=CLID_ColumnWiseTuple) const =0
| get N-tuple object ( book on-demand ) with unique identifier More...
virtual Tuple | nTuple (const TupleID &ID, const std::string &title="", const CLID &clid=CLID_ColumnWiseTuple) const =0
virtual Tuple | evtCol (const std::string &title, const CLID &clid=CLID_RowWiseTuple) const =0
virtual Tuple | evtCol (const TupleID &ID, const std::string &title="", const CLID &clid=CLID_RowWiseTuple) const =0
Public Member Functions inherited from IAlgTool
| DeclareInterfaceID (IAlgTool, 4, 0)
| InterfaceID. More...
virtual const std::string & | type () const =0
| The type of an AlgTool, meaning the concrete AlgTool class. More...
virtual const IInterface * | parent () const =0
| The parent of the concrete AlgTool. More...
virtual StatusCode | configure ()=0
| Configuration (from OFFLINE to CONFIGURED). More...
virtual StatusCode | initialize ()=0
| Initialization (from CONFIGURED to INITIALIZED). More...
virtual StatusCode | start ()=0
| Start (from INITIALIZED to RUNNING). More...
virtual StatusCode | stop ()=0
| Stop (from RUNNING to INITIALIZED). More...
virtual StatusCode | finalize ()=0
| Finalize (from INITIALIZED to CONFIGURED). More...
virtual StatusCode | terminate ()=0
| Initialization (from CONFIGURED to OFFLINE). More...
virtual StatusCode | reinitialize ()=0
| Initialization (from INITIALIZED or RUNNING to INITIALIZED, via CONFIGURED). More...
virtual StatusCode | restart ()=0
| Initialization (from RUNNING to RUNNING, via INITIALIZED). More...
virtual Gaudi::StateMachine::State | FSMState () const =0
| Get the current state. More...
virtual StatusCode | sysInitialize ()=0
| Initialization of the Tool. More...
virtual StatusCode | sysStart ()=0
| Initialization of the Tool. More...
virtual StatusCode | sysStop ()=0
| Initialization of the Tool. More...
virtual StatusCode | sysFinalize ()=0
| Finalization of the Tool. More...
virtual StatusCode | sysReinitialize ()=0
| Initialization of the Tool. More...
virtual StatusCode | sysRestart ()=0
| Initialization of the Tool. More...
Public Member Functions inherited from INamedInterface
| DeclareInterfaceID (INamedInterface, 1, 0)
| InterfaceID. More...
virtual const std::string & | name () const =0
| Retrieve the name of the instance. More...
Public Member Functions inherited from IInterface
virtual void * | i_cast (const InterfaceID &) const =0
| main cast function More...
virtual std::vector< std::string > | getInterfaceNames () const =0
| Returns a vector of strings containing the names of all the implemented interfaces. More...
virtual unsigned long | addRef ()=0
| Increment the reference count of Interface instance. More...
virtual unsigned long | release ()=0
| Release Interface instance. More...
virtual unsigned long | refCount () const =0
| Current reference count. More...
virtual StatusCode | queryInterface (const InterfaceID &ti, void **pp)=0
| Set the void** to the pointer to the requested interface of the instance. More...
virtual | ~IInterface ()=default
| Virtual destructor. More...

## Additional Inherited Members
Static Public Member Functions inherited from IInterface
static const InterfaceID & | interfaceID ()
| Return an instance of InterfaceID identifying the interface. More...

## Detailed Description

Author
  Vanya BELYAEV Ivan..nosp@m.Bely.nosp@m.aev@i.nosp@m.tep..nosp@m.ru

Date
  2004-06-28

Definition at line 30 of file ITupleTool.h.

## Member Typedef Documentation

## ◆ Tuple

typedef Tuples::Tuple ITupleTool::Tuple

Definition at line 36 of file ITupleTool.h.

## ◆ TupleID

typedef Tuples::TupleID ITupleTool::TupleID

Definition at line 35 of file ITupleTool.h.

## Member Function Documentation

## ◆ DeclareInterfaceID()

ITupleTool::DeclareInterfaceID | ( | ITupleTool | ,
|  | 2 | ,
|  | 0 |
| ) |  |

InterfaceID.

## ◆ evtCol() [1/2]

virtual Tuple ITupleTool::evtCol | ( | const std::string & | title,
|  | const CLID & | clid = `CLID_RowWiseTuple`
| ) |  | const
| pure virtual

Implemented in TupleTool.

## ◆ evtCol() [2/2]

virtual Tuple ITupleTool::evtCol | ( | const TupleID & | ID,
|  | const std::string & | title = `""`,
|  | const CLID & | clid = `CLID_RowWiseTuple`
| ) |  | const
| pure virtual

Implemented in TupleTool.

## ◆ nTuple() [1/2]

virtual Tuple ITupleTool::nTuple | ( | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  | const
| pure virtual

get N-tuple object ( book on-demand ) with unique identifier

ITupleTool* tool = .. ;
Tuple tuple = tool->nTuple( 'My tuple' ) ;
tuple->column( "A" , sin(0.1) );
tuple->column( "B" , cos(0.1) );
tuple->column( "C" , tan(0.1) );
tuple->write()

NTuple will be booked with automatically assigned numerical ID

Parameters

  title | unique title for ntuple
  clid | class identifier

Returns
  ntuple object

Implemented in TupleTool.

## ◆ nTuple() [2/2]

virtual Tuple ITupleTool::nTuple | ( | const TupleID & | ID,
|  | const std::string & | title = `""`,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  | const
| pure virtual

Implemented in TupleTool.

The documentation for this class was generated from the following file:

- GaudiAlg/GaudiAlg/ITupleTool.h